org.apache.http.impl.client

## Class EntityEnclosingRequestWrapper

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.impl.client.RequestWrapper
    - - org.apache.http.impl.client.EntityEnclosingRequestWrapper

- All Implemented Interfaces:
    HttpUriRequest, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

  Deprecated.
  (4.3) do not use.

      @Deprecated
      public class EntityEnclosingRequestWrapper
      extends RequestWrapper
      implements org.apache.http.HttpEntityEnclosingRequest

  A wrapper class for `HttpEntityEnclosingRequest`s that can be used to change properties of the current request without modifying the original object.

  This class is also capable of resetting the request headers to the state of the original request.

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityEnclosingRequestWrapper(org.apache.http.HttpEntityEnclosingRequest request)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expectContinue()` Deprecated.
    `org.apache.http.HttpEntity` | `getEntity()` Deprecated.
    `boolean` | `isRepeatable()` Deprecated.
    `void` | `setEntity(org.apache.http.HttpEntity entity)` Deprecated.

    - ### Methods inherited from class org.apache.http.impl.client.RequestWrapper

      `abort, getExecCount, getMethod, getOriginal, getProtocolVersion, getRequestLine, getURI, incrementExecCount, isAborted, resetHeaders, setMethod, setProtocolVersion, setURI`

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Constructor Detail

    - #### EntityEnclosingRequestWrapper

          public EntityEnclosingRequestWrapper(org.apache.http.HttpEntityEnclosingRequest request)
                                        throws org.apache.http.ProtocolException

      Deprecated.
      Throws:
        `org.apache.http.ProtocolException`

  - ### Method Detail

    - #### getEntity

          public org.apache.http.HttpEntity getEntity()

      Deprecated.
      Specified by:
        `getEntity` in interface `org.apache.http.HttpEntityEnclosingRequest`

    - #### setEntity

          public void setEntity(org.apache.http.HttpEntity entity)

      Deprecated.
      Specified by:
        `setEntity` in interface `org.apache.http.HttpEntityEnclosingRequest`

    - #### expectContinue

          public boolean expectContinue()

      Deprecated.
      Specified by:
        `expectContinue` in interface `org.apache.http.HttpEntityEnclosingRequest`

    - #### isRepeatable

          public boolean isRepeatable()

      Deprecated.
      Overrides:
        `isRepeatable` in class `RequestWrapper`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.